How to fix error “Directive 'suPHP_UserGroup' is not allowed in current context.”

You may experience the following error:

2013-07-31 05:51:38.044	WARN /etc/httpd/conf/extra/httpd-directories.conf:26: Directive 'suPHP_UserGroup' is not allowed in current context.

SuPHP is a way to handle security for shared hosting environment, which let Apache run PHP process as domain user's ID. LSWS use much faster way of SuEXEC to handle it and doesn't use SuPHP at all.

The warning message can be safely ignored or comment out the corresponding line in Apache configure to clear the message.

 
litespeed_wiki/troubleshooting/suphp_usergroup-not-allowed-error.txt · Last modified: 2015/07/30 20:17 by Michael Alegre